sentry-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hao Hao (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (SENTRY-1015) Improve Sentry + Hive error message when user does not have sufficient privileges to perform an operation
Date Wed, 20 Jan 2016 22:53:39 GMT

     [ https://issues.apache.org/jira/browse/SENTRY-1015?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Hao Hao updated SENTRY-1015:
----------------------------
    Attachment: SENTRY-1015.0.patch

> Improve Sentry + Hive error message when user does not have sufficient privileges to
perform an operation
> ---------------------------------------------------------------------------------------------------------
>
>                 Key: SENTRY-1015
>                 URL: https://issues.apache.org/jira/browse/SENTRY-1015
>             Project: Sentry
>          Issue Type: Improvement
>            Reporter: Hao Hao
>            Assignee: Hao Hao
>         Attachments: SENTRY-1015.0.patch
>
>
> Sentry + Hive error message now is 
> {noformat}
> FAILED: SemanticException No valid privileges
>  User user2_1 does not have privileges for ALTERTABLE_PROPERTIES
> {noformat}
> Should add the required privileges in the exception message.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message